/**
 * 引入toaster方法
 */
document.write("<script language=javascript src='static/lib/echarts/echarts.min.js'></script>");

function getStatisticsList() {
    $.ajax({
        type: 'GET',
        url: 'statistics/regist/enterprise',
        data: {
            groupType: 'year',
            key: 2018
        },
        dataType: 'json',
        success: function(data) {
            if (data.code == 0) {
                initStatistics(data);
                $('#title').text(data.msg);
            }
        },
        error: function (error) {
            alert(error.responseText);
        }
    });
}

function initStatistics(data) {
    // 基于准备好的dom，初始化echarts实例
    var myChart = echarts.init(document.getElementById('main'));
    var xAxisList = [];
    var seriesList = [];
    for (var i = 0; i < data.data.length; i++) {
        xAxisList.push(data.data[i].xAxisName);
        seriesList.push(data.data[i].count);
    }

    // 指定图表的配置项和数据
    option = {
        xAxis: {
            type: 'category',
            data: xAxisList
        },
        tooltip: {
            trigger: 'axis'
        },
        yAxis: {
            type: 'value'
        },
        series: [{
            data: seriesList,
            stack: '总量',
            type: 'line'
        }]
    };
    // 使用刚指定的配置项和数据显示图表。
    myChart.setOption(option);
}


$(function() {
    'use strict';

    // 监听页面滚动
    $(window).scroll(function() {
        if($(window).scrollTop() >= 400) {
            $('#nav').addClass('on');
        } else {
            $('#nav').removeClass('on');
        }
    });

    getStatisticsList();

});